PipeWire 1.4.8

Loading...
Searching...
No Matches
Native Protocol
Extensions

PipeWire native protocol interface. More...

## Files
file | protocol-native.h
| pipewire/extensions/protocol-native.h

## Data Structures
struct | pw_protocol_native_message
struct | pw_protocol_native_demarshal
struct | pw_protocol_native_ext
| pw_protocol_native_ext methods More...

## Macros
#define | PW_TYPE_INFO_PROTOCOL_Native PW_TYPE_INFO_PROTOCOL_BASE "Native"
#define | PW_VERSION_PROTOCOL_NATIVE_EXT 0
#define | pw_protocol_native_begin_proxy(p, ...)
#define | pw_protocol_native_add_proxy_fd(p, ...)
#define | pw_protocol_native_get_proxy_fd(p, ...)
#define | pw_protocol_native_end_proxy(p, ...)
#define | pw_protocol_native_begin_resource(r, ...)
#define | pw_protocol_native_add_resource_fd(r, ...)
#define | pw_protocol_native_get_resource_fd(r, ...)
#define | pw_protocol_native_end_resource(r, ...)

## Detailed Description

PipeWire native protocol interface.

## Macro Definition Documentation

## ◆ PW_TYPE_INFO_PROTOCOL_Native

#define PW_TYPE_INFO_PROTOCOL_Native PW_TYPE_INFO_PROTOCOL_BASE "Native"

## ◆ PW_VERSION_PROTOCOL_NATIVE_EXT

#define PW_VERSION_PROTOCOL_NATIVE_EXT 0

## ◆ pw_protocol_native_begin_proxy

#define pw_protocol_native_begin_proxy | ( |  | p,
|  |  | ... )

Value:
pw_protocol_ext(pw_proxy_get_protocol(p),struct pw_protocol_native_ext,begin_proxy,p,__VA_ARGS__)
pw_protocol_ext
#define pw_protocol_ext(p, type, method,...)
Definition protocol.h:119
pw_proxy_get_protocol
struct pw_protocol * pw_proxy_get_protocol(struct pw_proxy *proxy)
Get the protocol used for the proxy.
Definition proxy.c:164
pw_protocol_native_ext
pw_protocol_native_ext methods
Definition protocol-native.h:49

## ◆ pw_protocol_native_add_proxy_fd

#define pw_protocol_native_add_proxy_fd | ( |  | p,
|  |  | ... )

Value:
pw_protocol_ext(pw_proxy_get_protocol(p),struct pw_protocol_native_ext,add_proxy_fd,p,__VA_ARGS__)

## ◆ pw_protocol_native_get_proxy_fd

#define pw_protocol_native_get_proxy_fd | ( |  | p,
|  |  | ... )

Value:
pw_protocol_ext(pw_proxy_get_protocol(p),struct pw_protocol_native_ext,get_proxy_fd,p,__VA_ARGS__)

## ◆ pw_protocol_native_end_proxy

#define pw_protocol_native_end_proxy | ( |  | p,
|  |  | ... )

Value:
pw_protocol_ext(pw_proxy_get_protocol(p),struct pw_protocol_native_ext,end_proxy,p,__VA_ARGS__)

## ◆ pw_protocol_native_begin_resource

#define pw_protocol_native_begin_resource | ( |  | r,
|  |  | ... )

Value:
pw_protocol_ext(pw_resource_get_protocol(r),struct pw_protocol_native_ext,begin_resource,r,__VA_ARGS__)
r
uint32_t int int const char int r
Definition core.h:447
pw_resource_get_protocol
struct pw_protocol * pw_resource_get_protocol(struct pw_resource *resource)
Get the protocol used for this resource.
Definition resource.c:137

## ◆ pw_protocol_native_add_resource_fd

#define pw_protocol_native_add_resource_fd | ( |  | r,
|  |  | ... )

Value:
pw_protocol_ext(pw_resource_get_protocol(r),struct pw_protocol_native_ext,add_resource_fd,r,__VA_ARGS__)

## ◆ pw_protocol_native_get_resource_fd

#define pw_protocol_native_get_resource_fd | ( |  | r,
|  |  | ... )

Value:
pw_protocol_ext(pw_resource_get_protocol(r),struct pw_protocol_native_ext,get_resource_fd,r,__VA_ARGS__)

## ◆ pw_protocol_native_end_resource

#define pw_protocol_native_end_resource | ( |  | r,
|  |  | ... )

Value:
pw_protocol_ext(pw_resource_get_protocol(r),struct pw_protocol_native_ext,end_resource,r,__VA_ARGS__)